aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sh/shrc.d/gd.sh2
-rw-r--r--sh/shrc.d/md.sh1
2 files changed, 2 insertions, 1 deletions
diff --git a/sh/shrc.d/gd.sh b/sh/shrc.d/gd.sh
index 754bd8ff..5a3f54b0 100644
--- a/sh/shrc.d/gd.sh
+++ b/sh/shrc.d/gd.sh
@@ -14,5 +14,5 @@ gd() {
fi
# Go to the marked directory
- cd -- "$PMD"
+ cd -- "$PMD" || return
}
diff --git a/sh/shrc.d/md.sh b/sh/shrc.d/md.sh
index 1f8a8aaf..7085d258 100644
--- a/sh/shrc.d/md.sh
+++ b/sh/shrc.d/md.sh
@@ -26,5 +26,6 @@ md() {
fi
# Save the specified path in the marked directory var
+ # shellcheck disable=SC2034
PMD=$1
}